---
title: CSSSkewX
slug: Web/API/CSSSkewX
tags:
  - API
  - CSS Typed Object Model API
  - CSSSkewX
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Interface
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSSkewX</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents the <code><a href="/en-US/docs/Web/CSS/transform-function/skewX()">skewX()</a></code> value of the individual {{CSSXRef('transform')}} property in CSS. It inherits properties and methods from its parent {{domxref("CSSTransformValue")}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSSkewX.CSSSkewX()")}}</dt>
 <dd>Creates a new <code>CSSSkewX</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSSkewX.ax','ax')}}</dt>
 <dd>Returns or sets the x-axis value.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssskewx','cssskewx')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSSkewX")}}</p>
